Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class Modifier

    java.lang.Object
      com.sun.tdk.signaturetest.model.Modifier

All Implemented Interfaces:
  java.io.Serializable

    public final class Modifier

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static Modifier` | `ABSTRACT`
`static Modifier` | `ACC_STRICT`
`static Modifier` | `ACC_SUPER`
`static Modifier` | `ACC_SYNTHETIC`
`static Modifier` | `ANNOTATION`
`static Modifier` | `BRIDGE`
`static Modifier` | `ENUM`
`static Modifier` | `FIELD_ENUM`
`static Modifier` | `FINAL`
`static Modifier` | `HASDEFAULT`
`static Modifier` | `INTERFACE`
`static Modifier` | `NATIVE`
`static Modifier` | `PRIVATE`
`static Modifier` | `PROTECTED`
`static Modifier` | `PUBLIC`
`static Modifier` | `STATIC`
`static Modifier` | `SYNCHRONIZED`
`static Modifier` | `TRANSIENT`
`static Modifier` | `VARARGS`
`static Modifier` | `VOLATILE`

Constructor Summary
`Modifier(java.lang.String name, boolean isTracked)`

Method Summary
`static Modifier[]` | `getAllModifiers()`
`static Modifier` | `getModifier(java.lang.String name)`
`int` | `getValue()`
`static boolean` | `hasModifier(int modifiers, Modifier m)`
`boolean` | `isTracked()`
`static int` | `scanModifiers(java.util.List elems)`
`void` | `setTracked(boolean isTracked)`
`java.lang.String` | `toString()`
`static java.lang.String` | `toString(MemberType type, int modifiers, boolean trackedOnly)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSTRACT

    public static final Modifier ABSTRACT

### PUBLIC

    public static final Modifier PUBLIC

### PRIVATE

    public static final Modifier PRIVATE

### PROTECTED

    public static final Modifier PROTECTED

### STATIC

    public static final Modifier STATIC

### FINAL

    public static final Modifier FINAL

### SYNCHRONIZED

    public static final Modifier SYNCHRONIZED

### NATIVE

    public static final Modifier NATIVE

### INTERFACE

    public static final Modifier INTERFACE

### TRANSIENT

    public static final Modifier TRANSIENT

### VOLATILE

    public static final Modifier VOLATILE

### ENUM

    public static final Modifier ENUM

### FIELD_ENUM

    public static final Modifier FIELD_ENUM

### ANNOTATION

    public static final Modifier ANNOTATION

### VARARGS

    public static final Modifier VARARGS

### BRIDGE

    public static final Modifier BRIDGE

### HASDEFAULT

    public static final Modifier HASDEFAULT

### ACC_SUPER

    public static final Modifier ACC_SUPER

### ACC_SYNTHETIC

    public static final Modifier ACC_SYNTHETIC

### ACC_STRICT

    public static final Modifier ACC_STRICT

Constructor Detail

### Modifier

    public Modifier(java.lang.String name,
                    boolean isTracked)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isTracked

    public boolean isTracked()

### getValue

    public int getValue()

### setTracked

    public void setTracked(boolean isTracked)

### getModifier

    public static Modifier getModifier(java.lang.String name)

### getAllModifiers

    public static Modifier[] getAllModifiers()

### scanModifiers

    public static int scanModifiers(java.util.List elems)

### hasModifier

    public static boolean hasModifier(int modifiers,
                                      Modifier m)

### toString

    public static java.lang.String toString(MemberType type,
                                            int modifiers,
                                            boolean trackedOnly)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD